Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360917 - [abrt] remmina: SetEvent(): remmina killed by SIGSEGV
Summary: [abrt] remmina: SetEvent(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:44f1536a118cab1d96d30cf96ca...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 20:31 UTC by Devon Janitz
Modified: 2017-03-24 18:54 UTC (History)
3 users (show)

Fixed In Version: remmina-1.2.0-0.32.20170302git1da1fb6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 18:54:02 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: cgroup (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: core_backtrace (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: dso_list (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: environ (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: exploitable (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: limits (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: maps (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: mountinfo (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: namespaces (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: open_fds (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: proc_pid_status (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details
File: var_log_messages (deleted)
2016-07-27 20:31 UTC, Devon Janitz
no flags Details

Description Devon Janitz 2016-07-27 20:31:31 UTC
Version-Release number of selected component:
remmina-1.2.0-0.13.rcgit.7.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: SetEvent
executable:     /usr/bin/remmina
global_pid:     20007
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 SetEvent at /usr/src/debug/FreeRDP-b02943ae98d76420e5d6ee801a2d54db1d28f3ef/winpr/libwinpr/synch/event.c:204
 #1 setChannelError at /usr/src/debug/FreeRDP-b02943ae98d76420e5d6ee801a2d54db1d28f3ef/libfreerdp/core/freerdp.c:816
 #2 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-b02943ae98d76420e5d6ee801a2d54db1d28f3ef/channels/cliprdr/client/cliprdr_main.c:1160
 #3 thread_launcher at /usr/src/debug/FreeRDP-b02943ae98d76420e5d6ee801a2d54db1d28f3ef/winpr/libwinpr/thread/thread.c:315

Comment 1 Devon Janitz 2016-07-27 20:31:36 UTC
Created attachment 1184803 [details]
File: backtrace

Comment 2 Devon Janitz 2016-07-27 20:31:37 UTC
Created attachment 1184804 [details]
File: cgroup

Comment 3 Devon Janitz 2016-07-27 20:31:38 UTC
Created attachment 1184805 [details]
File: core_backtrace

Comment 4 Devon Janitz 2016-07-27 20:31:39 UTC
Created attachment 1184806 [details]
File: dso_list

Comment 5 Devon Janitz 2016-07-27 20:31:40 UTC
Created attachment 1184807 [details]
File: environ

Comment 6 Devon Janitz 2016-07-27 20:31:41 UTC
Created attachment 1184808 [details]
File: exploitable

Comment 7 Devon Janitz 2016-07-27 20:31:42 UTC
Created attachment 1184809 [details]
File: limits

Comment 8 Devon Janitz 2016-07-27 20:31:43 UTC
Created attachment 1184810 [details]
File: maps

Comment 9 Devon Janitz 2016-07-27 20:31:44 UTC
Created attachment 1184811 [details]
File: mountinfo

Comment 10 Devon Janitz 2016-07-27 20:31:45 UTC
Created attachment 1184812 [details]
File: namespaces

Comment 11 Devon Janitz 2016-07-27 20:31:46 UTC
Created attachment 1184813 [details]
File: open_fds

Comment 12 Devon Janitz 2016-07-27 20:31:47 UTC
Created attachment 1184814 [details]
File: proc_pid_status

Comment 13 Devon Janitz 2016-07-27 20:31:48 UTC
Created attachment 1184815 [details]
File: var_log_messages

Comment 14 Pavel Alexeev 2016-08-16 20:07:21 UTC
Thank you very much for the bugreport and willing make free software better.

Could you please provide steps to reproduce that problem?

Comment 15 Devon Janitz 2016-08-20 14:43:03 UTC
I am not certain, was just using the software.  I think I had a very short network outage blink on a Comcast ISP.  But that seemed to trigger the closing of the Remmina software.  I can try making a connection and then dropping my network connection for a very short period and see what happens.  Will report back if that is the trigger.
Thanks, Devon

Comment 16 Fedora Update System 2017-03-21 15:41:25 UTC
freerdp-2.0.0-23.20170302git210de68.fc25 freerdp1.2-1.2.0-6.fc25 guacamole-server-0.9.11-3.fc25 remmina-1.2.0-0.32.20170302git1da1fb6.fc25 vinagre-3.22.0-4.fc25 weston-1.12.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7191d8e808

Comment 17 Fedora Update System 2017-03-21 15:43:39 UTC
freerdp-2.0.0-23.20170302git210de68.fc25 freerdp1.2-1.2.0-6.fc25 guacamole-server-0.9.11-3.fc25 remmina-1.2.0-0.32.20170302git1da1fb6.fc25 vinagre-3.22.0-4.fc25 weston-1.12.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7191d8e808

Comment 18 Fedora Update System 2017-03-22 00:52:16 UTC
freerdp-2.0.0-23.20170302git210de68.fc25, freerdp1.2-1.2.0-6.fc25, guacamole-server-0.9.11-3.fc25, remmina-1.2.0-0.32.20170302git1da1fb6.fc25, vinagre-3.22.0-4.fc25, weston-1.12.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7191d8e808

Comment 19 Fedora Update System 2017-03-24 18:54:02 UTC
freerdp-2.0.0-23.20170302git210de68.fc25, freerdp1.2-1.2.0-6.fc25, guacamole-server-0.9.11-3.fc25, remmina-1.2.0-0.32.20170302git1da1fb6.fc25, vinagre-3.22.0-4.fc25, weston-1.12.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.